from sqlalchemy import Boolean, Column, String, Text

from app.db.base_class import BaseModel


class Todo(BaseModel):
    """
    Todo item model.
    """
    __tablename__ = "todos"

    title = Column(String(255), nullable=False, index=True)
    description = Column(Text, nullable=True)
    completed = Column(Boolean, default=False)
